eureka:
  instance:
    hostname: localhost
    # 心跳时间，即服务续约间隔时间（缺省为30s）
    lease-renewal-interval-in-seconds: 10
    # 发呆时间，即服务续约到期时间（缺省为90s）
    lease-expiration-duration-in-seconds: 20
  client:
    registry-fetch-interval-seconds: 5
    serviceUrl:
      defaultZone: http://localhost:20000/eureka/
server:
  port: 10001
  tomcat:
    uri-encoding: UTF-8
    max-threads: 1000
    max-connections: 20000
  jetty:
    max-http-post-size: 1000000
spring:
  application:
    name: gateway
  profiles:
    active: local
  servlet:
    multipart:
      enabled: true
      max-request-size: 100MB
      max-file-size: 100MB
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://172.18.101.171:3306/school_center?useSSL=false
    username: yzzx
    password: yzzx123!@#
#    username: root
#    password: AMrGBg6ZSsRrDLs6
zuul:
  ribbon:
    eager-load:
      enabled: true
  retryable: true
  host:
    max-total-connections: 1200
    max-per-route-connections: 1200
    connectTimeoutMillis: 10000
  ribbon-isolation-strategy: THREAD
  thread-pool:
    thread-pool-key-prefix: winsun-zuul
    use-separate-thread-pools: true
  routes:
    auth:
      path: /auth/**
      sensitiveHeaders:
      serviceId: core
    manager:
      path: /manager/**
      sensitiveHeaders:
      serviceId: manager
ribbon:
  #  OkToRetryOnAllOperations: true
  MaxAutoRetries: 0
  MaxAutoRetriesNextServer: 0
  ReadTimeout: 20000
  ConnectTimeout: 2000
  SocketTimeout: 2000
hystrix:
  command:
    default:  #default全局有效，service id指定应用有效
      circuitBreaker:
        enabled: false
  threadpool:
    default:
      coreSize: 1200
      maximumSize: 1200
      allowMaximumSizeToDivergeFromCoreSize: true
      maxQueueSize: 5000
      queueSizeRejectionThreshold: 4800
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 20000
management:
  endpoints:
    web:
      exposure:
        include: bus-refresh